Bug 645365 - KVM: Implement emulation of emulated virtual PMU
Summary: KVM: Implement emulation of emulated virtual PMU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: 6.3
Assignee: Gleb Natapov
QA Contact: Virtualization Bugs
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks: 758829 1300182 580953 747683 756082
TreeView+ depends on / blocked
 
Reported: 2010-10-21 12:13 UTC by Jes Sorensen
Modified: 2016-12-12 18:53 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.32-250.el6
Doc Type: Bug Fix
Doc Text:
KVM can now virtualize Intel's performance monitoring unit (PMU) to allow virtual machines to use performance monitoring. Note that the -cpu host flag must be set when using this feature. BENEFITS: With this feature, Red Hat virtualization customers running Red Hat Enterprise Linux 6 guests can use the CPU's PMU counter while using the performance tool for profiling. The virtual performance monitoring unit feature allows virtual machine users to identify sources of performance problems in their guests, thereby improving the ability to profile a KVM guest from the host. This feature is a Technology Preview in Red Hat Enterprise Linux 6.3 and is only supported with guests running Red Hat Enterprise Linux 6.
Clone Of:
: 747683 (view as bug list)
Environment:
Last Closed: 2012-06-20 07:36:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0862 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2012-06-20 12:55:00 UTC

Description Jes Sorensen 2010-10-21 12:13:27 UTC
Description of problem:
We need to provide support for a fully emulated PMU, in order to support operating systems where we cannot easily add para-virt support for it (eg. windows), and run tools such as vtune on unmodified older guests.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
This BZ depends on BZ 603758

Comment 2 RHEL Product and Program Management 2011-01-07 03:56:08 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Suzanne Yeghiayan 2011-01-07 16:12:54 UTC
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.

Comment 4 RHEL Product and Program Management 2011-02-01 05:32:52 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 RHEL Product and Program Management 2011-02-01 18:47:52 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 6 Jes Sorensen 2011-09-01 09:08:20 UTC
Given Avi is working on this, hand over the BZ

Comment 8 Aristeu Rozanski 2012-03-07 14:43:12 UTC
Patch(es) available on kernel-2.6.32-250.el6

Comment 11 Ademar Reis 2012-04-17 00:05:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
KVM can now virtualize a performance monitoring unit (vPMU) to allow virtual machines to use performance monitoring.

Additionally it supports Intel's "architectural PMU" which can be live-migrated across different host CPU versions, using the -cpu host flag.

BENEFITS:
Red Hat virtualization customers are now able to utilize performance monitoring in KVM guests seamlessly. The virtual performance monitoring feature allows virtual machine users to identify sources of performance problems in their guests, using their preferred pre-existing profiling tools that work on the host as well as the guest. This is in addition to the existing ability to profile a KVM guest from the host.

This feature is a Technology Preview in RHEL6.3

Comment 12 juzhang 2012-05-02 06:35:31 UTC
We did vpmu functional testing with qemu-kvm-0.12.1.2-2.249.el6 on kernel-2.6.32-251.el6. did not find critical bugs

Comment 14 juzhang 2012-05-02 06:37:42 UTC
According to comment12 and comment13, set this issue as verified.

Comment 16 errata-xmlrpc 2012-06-20 07:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Comment 17 Laura Novich 2012-06-21 11:10:31 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,6 +1,6 @@
 KVM can now virtualize a performance monitoring unit (vPMU) to allow virtual machines to use performance monitoring.
 
-Additionally it supports Intel's "architectural PMU" which can be live-migrated across different host CPU versions, using the -cpu host flag.
+The vPMU feature makes direct use of the CPU's PMU and as such is only supported on an Intel processor. Note that the -cpu host flag must be set when using this feature.
 
 BENEFITS:
 Red Hat virtualization customers are now able to utilize performance monitoring in KVM guests seamlessly. The virtual performance monitoring feature allows virtual machine users to identify sources of performance problems in their guests, using their preferred pre-existing profiling tools that work on the host as well as the guest. This is in addition to the existing ability to profile a KVM guest from the host.

Comment 18 Laura Novich 2012-06-21 11:31:00 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,6 +1,6 @@
-KVM can now virtualize a performance monitoring unit (vPMU) to allow virtual machines to use performance monitoring.
+KVM can now virtualize Intel's performance monitoring unit (vPMU) to allow virtual machines to use performance monitoring.
 
-The vPMU feature makes direct use of the CPU's PMU and as such is only supported on an Intel processor. Note that the -cpu host flag must be set when using this feature.
+Note that the -cpu host flag must be set when using this feature.
 
 BENEFITS:
 Red Hat virtualization customers are now able to utilize performance monitoring in KVM guests seamlessly. The virtual performance monitoring feature allows virtual machine users to identify sources of performance problems in their guests, using their preferred pre-existing profiling tools that work on the host as well as the guest. This is in addition to the existing ability to profile a KVM guest from the host.

Comment 19 Laura Novich 2012-06-21 11:47:18 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,4 @@
-KVM can now virtualize Intel's performance monitoring unit (vPMU) to allow virtual machines to use performance monitoring.
+KVM can now virtualize Intel's performance monitoring unit (PMU) to allow virtual machines to use performance monitoring.
 
 Note that the -cpu host flag must be set when using this feature.

Comment 20 Laura Novich 2012-06-21 12:36:43 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,6 +3,6 @@
 Note that the -cpu host flag must be set when using this feature.
 
 BENEFITS:
-Red Hat virtualization customers are now able to utilize performance monitoring in KVM guests seamlessly. The virtual performance monitoring feature allows virtual machine users to identify sources of performance problems in their guests, using their preferred pre-existing profiling tools that work on the host as well as the guest. This is in addition to the existing ability to profile a KVM guest from the host.
+With this feature, Red Hat virtualization customers running Red Hat Enterprise Linux 6 guests can use the CPU's PMU counter while using the performance tool for profiling. The virtual performance monitoring unit feature allows virtual machine users to identify sources of performance problems in their guests, thereby improving the ability to profile a KVM guest from the host. 
 
-This feature is a Technology Preview in RHEL6.3+This feature is a Technology Preview in Red Hat Enterprise Linux 6.3 and is only supported with guests running Red Hat Enterprise Linux 6.


Note You need to log in before you can comment on or make changes to this bug.